View Issue Details

IDProjectCategoryView StatusLast Update
0002615Path[FreeCAD] Bugpublic2016-08-11 11:47
ReporterHackscribbleAssigned Tosliptonic 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version16.04
Product Version 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0002615: Unable to create profile path for bottom face of part
DescriptionCreating a profile path for the bottom face of a part adds a path object to the tree. However, no path is visible and no G-code is created.

Report view says "Face doesn't appear to be parallel or perpendicular to the XY plane. No path will be generated for:
Pocket.Face5".
Steps To Reproduce1. Load test file "test2.fcstd"
2. Select Path workbench
3. Rotate part and select bottom face.
4. Click on "Create profile path" button.
5. Click on "OK" in task window.
Additional InformationOS: Ubuntu 16.04 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.7833 (Git)
Build type: None
Branch: master
Hash: d9b7a5fbbf7c444c7ab94473a11449840a946313
Python version: 2.7.11+
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Activities

Hackscribble

2016-07-10 18:39

reporter  

test2.fcstd (11,967 bytes)

sliptonic

2016-08-02 19:49

developer   ~0007238

resolved in pullrequest: Bug fixes: 0000231

Related Changesets

FreeCAD: master 0ea9cc8c

2016-08-02 21:38:42

sliptonic


Committer: Yorik van Havre Details Diff
Bug fixes:
fixes reparenting bug when dressup is deleted
Engrave wasn't using final depth value
Dragknife Dressup not correctly calculating spin direction or curve intersection
Per Yorik, fix crash if PartGui hasn't been loaded
Allow selection of bottom face for profiling
Bug # 0002615
Affected Issues
0002615
mod - src/Mod/Path/Gui/AppPathGui.cpp Diff File
mod - src/Mod/Path/Gui/Resources/panels/EngraveEdit.ui Diff File
mod - src/Mod/Path/PathScripts/DragknifeDressup.py Diff File
mod - src/Mod/Path/PathScripts/PathDressup.py Diff File
mod - src/Mod/Path/PathScripts/PathEngrave.py Diff File
mod - src/Mod/Path/PathScripts/PathPocket.py Diff File
mod - src/Mod/Path/PathScripts/PathProfile.py Diff File

Issue History

Date Modified Username Field Change
2016-07-10 18:39 Hackscribble New Issue
2016-07-10 18:39 Hackscribble File Added: test2.fcstd
2016-08-02 19:48 sliptonic Assigned To => sliptonic
2016-08-02 19:48 sliptonic Status new => assigned
2016-08-02 19:49 sliptonic Note Added: 0007238
2016-08-02 19:49 sliptonic Status assigned => resolved
2016-08-02 19:49 sliptonic Resolution open => fixed
2016-08-11 11:46 wmayer Changeset attached => FreeCAD Master master 0ea9cc8c
2016-08-11 11:47 wmayer Status resolved => closed
2016-08-11 11:47 wmayer Fixed in Version => 0.17